Name:    grep
Version: 3.4
Release: 0
Summary: A string search utility
License: GPLv3+
URL: http://www.gnu.org/software/grep/
Source0: https://ftp.gnu.org/gnu/grep/grep-%{version}.tar.xz

BuildRequires: gcc git pcre-devel >= 3.9-10 texinfo gettext
Provides: /bin/egrep /bin/fgrep /bin/grep bundled(gnulib)

%description
Grep searches one or more input files for lines containing a match to
a specified pattern. By default, Grep outputs the matching lines.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure --without-included-regex --disable-silent-rules \
CPPFLAGS="-I%{_includedir}/pcre" CFLAGS="$RPM_OPT_FLAGS"
%make_build

%install
%make_install
rm -f $RPM_BUILD_ROOT%{_infodir}/dir
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/profile.d

%pre
%preun
%post
%postun

%check
make check

%files
%{_datadir}/locale/*
%doc NEWS README THANKS TODO
%license COPYING AUTHORS
%{_bindir}/*grep
%{_infodir}/grep.info.gz
%{_mandir}/man1/*grep.1.gz


%changelog
* Tue Jan  7 2020 JeanLeo<liujianliu.liu@huawei.com> - 3.4-0
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:update software to version 3.4

* Mon Oct 21 2019 chengquan<chengquan3@huawei.com> - 3.1-10
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:fix package bug

* Mon Aug 19 2019 openEuler Buildteam <buildteam@openeuler.org> - 3.1-9
- Package init

